Skip to main content

As of July 1, 2017, iMeet® no longer supports Internet Explorer 9 and 10. To learn more, click here.

GlobalMeet 4.0 is here. Check out release notes, register for a learning session or watch a video highlighting new GlobalMeet features.

Meeting Support

iMeet Support for Internet Explorer 9 and 10

As of July, 1, 2017, iMeet® no longer supports Internet Explorer 9 and 10. You can continue to use these browsers; however, certain features will not work and customer support for this configuration will not be provided.

  • Was this article helpful?